| Home · All Classes · All Namespaces · Modules · Functions · Files

# ChannelInfo Struct Reference
[Structure types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Attributes

- QDBusObjectPath channel
- QString channelType
- uint handleType
- uint handle

## Detailed Description

Structure type generated from the specification.

A struct representing a channel, as returned by ListChannels on the Connection interface.

## Member Data Documentation

QDBusObjectPath channel

The object path of the channel, which is on the same bus name as the connection

QString channelType

The channel's type

uint handleType

The type of the handle that the channel communicates with, or Handle_Type_None if there is no associated handle

uint handle

The handle that the channel communicates with, or 0 if there is no associated handle